#!/bin/bash

# Skrypt dodaje wpis do pliku /etc/fstab i montuje tmpfs
FSTAB_LINE="tmpfs /home/edokumenty/public_html/apps/backproc/data tmpfs defaults,noatime,nosuid,nodev,noexec,mode=1777,size=64M 0 0"

if grep -qF "$FSTAB_LINE" /etc/fstab; then
	echo -e "\033[01;33m Wpis już istnieje w /etc/fstab\033[00m"
else
	echo "$FSTAB_LINE" >> /etc/fstab
	echo -e "\033[01;34m Dodano wpis do /etc/fstab.\033[00m"

	echo -e "\033[01;34m Przeładowanie systemctl daemon-reload \033[00m"
	systemctl daemon-reload

	echo -e "\033[01;34m Montowanie tmpfs dla backproc \033[00m"
	mount /home/edokumenty/public_html/apps/backproc/data
fi

